Package org.eclipse.e4.ui.model.application.ui.menu.impl

# Interface MenuPackageImpl.Literals

Enclosing class:
  `MenuPackageImpl`

public static interface MenuPackageImpl.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`DIRECT_MENU_ITEM`
The meta object literal for the '`Direct Menu Item`' class.
`static final org.eclipse.emf.ecore.EClass`
`DIRECT_TOOL_ITEM`
The meta object literal for the '`Direct Tool Item`' class.
`static final org.eclipse.emf.ecore.EClass`
`DYNAMIC_MENU_CONTRIBUTION`
The meta object literal for the '`Dynamic Menu Contribution`' class.
`static final org.eclipse.emf.ecore.EClass`
`HANDLED_ITEM`
The meta object literal for the '`Handled Item`' class.
`static final org.eclipse.emf.ecore.EReference`
`HANDLED_ITEM__COMMAND`
The meta object literal for the 'Command' reference feature.
`static final org.eclipse.emf.ecore.EReference`
`HANDLED_ITEM__PARAMETERS`
The meta object literal for the 'Parameters' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`HANDLED_ITEM__WB_COMMAND`
The meta object literal for the 'Wb Command' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`HANDLED_MENU_ITEM`
The meta object literal for the '`Handled Menu Item`' class.
`static final org.eclipse.emf.ecore.EClass`
`HANDLED_TOOL_ITEM`
The meta object literal for the '`Handled Tool Item`' class.
`static final org.eclipse.emf.ecore.EClass`
`ITEM`
The meta object literal for the '`Item`' class.
`static final org.eclipse.emf.ecore.EOperation`
`ITEM___UPDATE_LOCALIZATION`
The meta object literal for the 'Update Localization' operation.
`static final org.eclipse.emf.ecore.EAttribute`
`ITEM__ENABLED`
The meta object literal for the 'Enabled' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`ITEM__SELECTED`
The meta object literal for the 'Selected' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`ITEM__TYPE`
The meta object literal for the 'Type' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`ITEM_TYPE`
The meta object literal for the '`Item Type`' enum.
`static final org.eclipse.emf.ecore.EClass`
`MENU`
The meta object literal for the '`Menu`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`MENU__ENABLED`
The meta object literal for the 'Enabled' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`MENU_CONTRIBUTION`
The meta object literal for the '`Contribution`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`MENU_CONTRIBUTION__PARENT_ID`
The meta object literal for the 'Parent Id' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`MENU_CONTRIBUTION__POSITION_IN_PARENT`
The meta object literal for the 'Position In Parent' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`MENU_CONTRIBUTIONS`
The meta object literal for the '`Contributions`' class.
`static final org.eclipse.emf.ecore.EReference`
`MENU_CONTRIBUTIONS__MENU_CONTRIBUTIONS`
The meta object literal for the 'Menu Contributions' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`MENU_ELEMENT`
The meta object literal for the '`Element`' class.
`static final org.eclipse.emf.ecore.EOperation`
`MENU_ELEMENT___GET_LOCALIZED_MNEMONICS`
The meta object literal for the 'Get Localized Mnemonics' operation.
`static final org.eclipse.emf.ecore.EOperation`
`MENU_ELEMENT___UPDATE_LOCALIZATION`
The meta object literal for the 'Update Localization' operation.
`static final org.eclipse.emf.ecore.EAttribute`
`MENU_ELEMENT__MNEMONICS`
The meta object literal for the 'Mnemonics' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`MENU_ITEM`
The meta object literal for the '`Item`' class.
`static final org.eclipse.emf.ecore.EOperation`
`MENU_ITEM___UPDATE_LOCALIZATION`
The meta object literal for the 'Update Localization' operation.
`static final org.eclipse.emf.ecore.EClass`
`MENU_SEPARATOR`
The meta object literal for the '`Separator`' class.
`static final org.eclipse.emf.ecore.EClass`
`POPUP_MENU`
The meta object literal for the '`Popup Menu`' class.
`static final org.eclipse.emf.ecore.EClass`
`TOOL_BAR`
The meta object literal for the '`Tool Bar`' class.
`static final org.eclipse.emf.ecore.EClass`
`TOOL_BAR_CONTRIBUTION`
The meta object literal for the '`Tool Bar Contribution`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`TOOL_BAR_CONTRIBUTION__PARENT_ID`
The meta object literal for the 'Parent Id' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`TOOL_BAR_CONTRIBUTION__POSITION_IN_PARENT`
The meta object literal for the 'Position In Parent' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`TOOL_BAR_CONTRIBUTIONS`
The meta object literal for the '`Tool Bar Contributions`' class.
`static final org.eclipse.emf.ecore.EReference`
`TOOL_BAR_CONTRIBUTIONS__TOOL_BAR_CONTRIBUTIONS`
The meta object literal for the 'Tool Bar Contributions' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`TOOL_BAR_ELEMENT`
The meta object literal for the '`Tool Bar Element`' class.
`static final org.eclipse.emf.ecore.EClass`
`TOOL_BAR_SEPARATOR`
The meta object literal for the '`Tool Bar Separator`' class.
`static final org.eclipse.emf.ecore.EClass`
`TOOL_CONTROL`
The meta object literal for the '`Tool Control`' class.
`static final org.eclipse.emf.ecore.EClass`
`TOOL_ITEM`
The meta object literal for the '`Tool Item`' class.
`static final org.eclipse.emf.ecore.EReference`
`TOOL_ITEM__MENU`
The meta object literal for the 'Menu' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`TRIM_CONTRIBUTION`
The meta object literal for the '`Trim Contribution`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`TRIM_CONTRIBUTION__PARENT_ID`
The meta object literal for the 'Parent Id' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`TRIM_CONTRIBUTION__POSITION_IN_PARENT`
The meta object literal for the 'Position In Parent' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`TRIM_CONTRIBUTIONS`
The meta object literal for the '`Trim Contributions`' class.
`static final org.eclipse.emf.ecore.EReference`
`TRIM_CONTRIBUTIONS__TRIM_CONTRIBUTIONS`
The meta object literal for the 'Trim Contributions' containment reference list feature.

## Field Details

### ITEM

static final org.eclipse.emf.ecore.EClass ITEM
The meta object literal for the '`Item`' class.

Since:
  1.0
See Also:
  - `ItemImpl`
  - `MenuPackageImpl.getItem()`

### ITEM__ENABLED

static final org.eclipse.emf.ecore.EAttribute ITEM__ENABLED
The meta object literal for the 'Enabled' attribute feature.

Since:
  1.0

### ITEM__SELECTED

static final org.eclipse.emf.ecore.EAttribute ITEM__SELECTED
The meta object literal for the 'Selected' attribute feature.

Since:
  1.0

### ITEM__TYPE

static final org.eclipse.emf.ecore.EAttribute ITEM__TYPE
The meta object literal for the 'Type' attribute feature.

Since:
  1.0

### ITEM___UPDATE_LOCALIZATION

static final org.eclipse.emf.ecore.EOperation ITEM___UPDATE_LOCALIZATION
The meta object literal for the 'Update Localization' operation.

Since:
  1.1

### HANDLED_ITEM

static final org.eclipse.emf.ecore.EClass HANDLED_ITEM
The meta object literal for the '`Handled Item`' class.

Since:
  1.0
See Also:
  - `HandledItemImpl`
  - `MenuPackageImpl.getHandledItem()`

### HANDLED_ITEM__COMMAND

static final org.eclipse.emf.ecore.EReference HANDLED_ITEM__COMMAND
The meta object literal for the 'Command' reference feature.

Since:
  1.0

### HANDLED_ITEM__WB_COMMAND

static final org.eclipse.emf.ecore.EAttribute HANDLED_ITEM__WB_COMMAND
The meta object literal for the 'Wb Command' attribute feature.

Since:
  1.0
Restriction:

### HANDLED_ITEM__PARAMETERS

static final org.eclipse.emf.ecore.EReference HANDLED_ITEM__PARAMETERS
The meta object literal for the 'Parameters' containment reference list feature.

Since:
  1.0

### MENU_ELEMENT

static final org.eclipse.emf.ecore.EClass MENU_ELEMENT
The meta object literal for the '`Element`' class.

Since:
  1.0
See Also:
  - `MenuElementImpl`
  - `MenuPackageImpl.getMenuElement()`

### MENU_ELEMENT__MNEMONICS

static final org.eclipse.emf.ecore.EAttribute MENU_ELEMENT__MNEMONICS
The meta object literal for the 'Mnemonics' attribute feature.

Since:
  1.0

### MENU_ELEMENT___GET_LOCALIZED_MNEMONICS

static final org.eclipse.emf.ecore.EOperation MENU_ELEMENT___GET_LOCALIZED_MNEMONICS
The meta object literal for the 'Get Localized Mnemonics' operation.

Since:
  1.0

### MENU_ELEMENT___UPDATE_LOCALIZATION

static final org.eclipse.emf.ecore.EOperation MENU_ELEMENT___UPDATE_LOCALIZATION
The meta object literal for the 'Update Localization' operation.

Since:
  1.1

### MENU_ITEM

static final org.eclipse.emf.ecore.EClass MENU_ITEM
The meta object literal for the '`Item`' class.

Since:
  1.0
See Also:
  - `MenuItemImpl`
  - `MenuPackageImpl.getMenuItem()`

### MENU_ITEM___UPDATE_LOCALIZATION

static final org.eclipse.emf.ecore.EOperation MENU_ITEM___UPDATE_LOCALIZATION
The meta object literal for the 'Update Localization' operation.

Since:
  1.1

### MENU_SEPARATOR

static final org.eclipse.emf.ecore.EClass MENU_SEPARATOR
The meta object literal for the '`Separator`' class.

Since:
  1.0
See Also:
  - `MenuSeparatorImpl`
  - `MenuPackageImpl.getMenuSeparator()`

### MENU

static final org.eclipse.emf.ecore.EClass MENU
The meta object literal for the '`Menu`' class.

Since:
  1.0
See Also:
  - `MenuImpl`
  - `MenuPackageImpl.getMenu()`

### MENU__ENABLED

static final org.eclipse.emf.ecore.EAttribute MENU__ENABLED
The meta object literal for the 'Enabled' attribute feature.

Since:
  1.0

### MENU_CONTRIBUTION

static final org.eclipse.emf.ecore.EClass MENU_CONTRIBUTION
The meta object literal for the '`Contribution`' class.

Since:
  1.0
See Also:
  - `MenuContributionImpl`
  - `MenuPackageImpl.getMenuContribution()`
Restriction:
  See `model documentation` for details.

### MENU_CONTRIBUTION__POSITION_IN_PARENT

static final org.eclipse.emf.ecore.EAttribute MENU_CONTRIBUTION__POSITION_IN_PARENT
The meta object literal for the 'Position In Parent' attribute feature.

Since:
  1.0

### MENU_CONTRIBUTION__PARENT_ID

static final org.eclipse.emf.ecore.EAttribute MENU_CONTRIBUTION__PARENT_ID
The meta object literal for the 'Parent Id' attribute feature.

Since:
  1.0

### POPUP_MENU

static final org.eclipse.emf.ecore.EClass POPUP_MENU
The meta object literal for the '`Popup Menu`' class.

Since:
  1.0
See Also:
  - `PopupMenuImpl`
  - `MenuPackageImpl.getPopupMenu()`

### DIRECT_MENU_ITEM

static final org.eclipse.emf.ecore.EClass DIRECT_MENU_ITEM
The meta object literal for the '`Direct Menu Item`' class.

Since:
  1.0
See Also:
  - `DirectMenuItemImpl`
  - `MenuPackageImpl.getDirectMenuItem()`

### HANDLED_MENU_ITEM

static final org.eclipse.emf.ecore.EClass HANDLED_MENU_ITEM
The meta object literal for the '`Handled Menu Item`' class.

Since:
  1.0
See Also:
  - `HandledMenuItemImpl`
  - `MenuPackageImpl.getHandledMenuItem()`

### TOOL_ITEM

static final org.eclipse.emf.ecore.EClass TOOL_ITEM
The meta object literal for the '`Tool Item`' class.

Since:
  1.0
See Also:
  - `ToolItemImpl`
  - `MenuPackageImpl.getToolItem()`

### TOOL_ITEM__MENU

static final org.eclipse.emf.ecore.EReference TOOL_ITEM__MENU
The meta object literal for the 'Menu' containment reference feature.

Since:
  1.0

### TOOL_BAR

static final org.eclipse.emf.ecore.EClass TOOL_BAR
The meta object literal for the '`Tool Bar`' class.

Since:
  1.0
See Also:
  - `ToolBarImpl`
  - `MenuPackageImpl.getToolBar()`

### TOOL_BAR_ELEMENT

static final org.eclipse.emf.ecore.EClass TOOL_BAR_ELEMENT
The meta object literal for the '`Tool Bar Element`' class.

Since:
  1.0
See Also:
  - `ToolBarElementImpl`
  - `MenuPackageImpl.getToolBarElement()`

### TOOL_CONTROL

static final org.eclipse.emf.ecore.EClass TOOL_CONTROL
The meta object literal for the '`Tool Control`' class.

Since:
  1.0
See Also:
  - `ToolControlImpl`
  - `MenuPackageImpl.getToolControl()`

### HANDLED_TOOL_ITEM

static final org.eclipse.emf.ecore.EClass HANDLED_TOOL_ITEM
The meta object literal for the '`Handled Tool Item`' class.

Since:
  1.0
See Also:
  - `HandledToolItemImpl`
  - `MenuPackageImpl.getHandledToolItem()`

### DIRECT_TOOL_ITEM

static final org.eclipse.emf.ecore.EClass DIRECT_TOOL_ITEM
The meta object literal for the '`Direct Tool Item`' class.

Since:
  1.0
See Also:
  - `DirectToolItemImpl`
  - `MenuPackageImpl.getDirectToolItem()`

### TOOL_BAR_SEPARATOR

static final org.eclipse.emf.ecore.EClass TOOL_BAR_SEPARATOR
The meta object literal for the '`Tool Bar Separator`' class.

Since:
  1.0
See Also:
  - `ToolBarSeparatorImpl`
  - `MenuPackageImpl.getToolBarSeparator()`

### MENU_CONTRIBUTIONS

static final org.eclipse.emf.ecore.EClass MENU_CONTRIBUTIONS
The meta object literal for the '`Contributions`' class.

Since:
  1.0
See Also:
  - `MMenuContributions`
  - `MenuPackageImpl.getMenuContributions()`
Restriction:
  See `model documentation` for details.

### MENU_CONTRIBUTIONS__MENU_CONTRIBUTIONS

static final org.eclipse.emf.ecore.EReference MENU_CONTRIBUTIONS__MENU_CONTRIBUTIONS
The meta object literal for the 'Menu Contributions' containment reference list feature.

Since:
  1.0

### TOOL_BAR_CONTRIBUTION

static final org.eclipse.emf.ecore.EClass TOOL_BAR_CONTRIBUTION
The meta object literal for the '`Tool Bar Contribution`' class.

Since:
  1.0
See Also:
  - `ToolBarContributionImpl`
  - `MenuPackageImpl.getToolBarContribution()`
Restriction:
  See `model documentation` for details.

### TOOL_BAR_CONTRIBUTION__PARENT_ID

static final org.eclipse.emf.ecore.EAttribute TOOL_BAR_CONTRIBUTION__PARENT_ID
The meta object literal for the 'Parent Id' attribute feature.

Since:
  1.0

### TOOL_BAR_CONTRIBUTION__POSITION_IN_PARENT

static final org.eclipse.emf.ecore.EAttribute TOOL_BAR_CONTRIBUTION__POSITION_IN_PARENT
The meta object literal for the 'Position In Parent' attribute feature.

Since:
  1.0

### TOOL_BAR_CONTRIBUTIONS

static final org.eclipse.emf.ecore.EClass TOOL_BAR_CONTRIBUTIONS
The meta object literal for the '`Tool Bar Contributions`' class.

Since:
  1.0
See Also:
  - `MToolBarContributions`
  - `MenuPackageImpl.getToolBarContributions()`
Restriction:
  See `model documentation` for details.

### TOOL_BAR_CONTRIBUTIONS__TOOL_BAR_CONTRIBUTIONS

static final org.eclipse.emf.ecore.EReference TOOL_BAR_CONTRIBUTIONS__TOOL_BAR_CONTRIBUTIONS
The meta object literal for the 'Tool Bar Contributions' containment reference list feature.

Since:
  1.0

### TRIM_CONTRIBUTION

static final org.eclipse.emf.ecore.EClass TRIM_CONTRIBUTION
The meta object literal for the '`Trim Contribution`' class.

Since:
  1.0
See Also:
  - `TrimContributionImpl`
  - `MenuPackageImpl.getTrimContribution()`
Restriction:
  See `model documentation` for details.

### TRIM_CONTRIBUTION__PARENT_ID

static final org.eclipse.emf.ecore.EAttribute TRIM_CONTRIBUTION__PARENT_ID
The meta object literal for the 'Parent Id' attribute feature.

Since:
  1.0

### TRIM_CONTRIBUTION__POSITION_IN_PARENT

static final org.eclipse.emf.ecore.EAttribute TRIM_CONTRIBUTION__POSITION_IN_PARENT
The meta object literal for the 'Position In Parent' attribute feature.

Since:
  1.0

### TRIM_CONTRIBUTIONS

static final org.eclipse.emf.ecore.EClass TRIM_CONTRIBUTIONS
The meta object literal for the '`Trim Contributions`' class.

Since:
  1.0
See Also:
  - `MTrimContributions`
  - `MenuPackageImpl.getTrimContributions()`
Restriction:
  See `model documentation` for details.

### TRIM_CONTRIBUTIONS__TRIM_CONTRIBUTIONS

static final org.eclipse.emf.ecore.EReference TRIM_CONTRIBUTIONS__TRIM_CONTRIBUTIONS
The meta object literal for the 'Trim Contributions' containment reference list feature.

Since:
  1.0

### DYNAMIC_MENU_CONTRIBUTION

static final org.eclipse.emf.ecore.EClass DYNAMIC_MENU_CONTRIBUTION
The meta object literal for the '`Dynamic Menu Contribution`' class.

Since:
  1.0
See Also:
  - `DynamicMenuContributionImpl`
  - `MenuPackageImpl.getDynamicMenuContribution()`

### ITEM_TYPE

static final org.eclipse.emf.ecore.EEnum ITEM_TYPE
The meta object literal for the '`Item Type`' enum.

Since:
  1.0
See Also:
  - `ItemType`
  - `MenuPackageImpl.getItemType()`